# Class RepoMapPageMaker

java.lang.Object
net.sf.statcvs.output.RepoMapPageMaker

public class RepoMapPageMaker extends Object
New report that Repo Map, a jtreemap-based report (applet) that shows the entire source tree in a hierarchical manner, the size of each box is related to LOC and the colour to the changes over the last 30 days (red -loc, green +loc).

Author:
  Benoit Xhenseval (www.objectlab.co.uk)

## Constructor Summary

Constructors
Constructor
Description
`RepoMapPageMaker(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`NavigationNode`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RepoMapPageMaker

public RepoMapPageMaker(ReportConfig config)

See Also:
  - invalid reference

        net.sf.statcvs.output.HTMLPage#HTMLPage(Repository)

## Method Details

### toFile

public NavigationNode toFile()